Bug 123543 - Borders still on the sheet when move cells when ESC
Summary: Borders still on the sheet when move cells when ESC
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-02-18 14:22 UTC by Vladimir Schuka
Modified: 2021-05-07 03:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Reproduction of bug (1.43 MB, video/mp4)
2019-02-26 09:42 UTC, Vladimir Schuka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Schuka 2019-02-18 14:22:52 UTC
Description:
To move cells you select necessary cells and press left mouse button and move selection. On the screen you see that you move black bordered block the same size as selection. But if you click ESC which means I want to stop move the selection, black bordered block still on the sheet and there is no possibility move out those border except start new movements. 

Actual Results:
To move cells you select necessary cells and press left mouse button and move selection. On the screen you see that you move black bordered block the same size as selection. But if you click ESC which means I want to stop move the selection, black bordered block is still on the sheet and there is no possibility move out those border except start new movements. 

Expected Results:
Bordered block is still on the sheet but should not be.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2019-02-19 07:12:13 UTC
please add info about your OS and info from dialog Help->About LibreOffice

I don't repro it in

Version: 6.3.0.0.alpha0+
Build ID: c57dc7d41bd62f933cffab6131edb7252606382d
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 2 Vladimir Schuka 2019-02-19 08:51:46 UTC
Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-GB (en_US.UTF-8); UI-Language: en-US
Calc: threaded


It is really hard to explain I think you didn't get what I'm doing. Click ESC at the moment when you move selected cells, when left mouse button is pressed.

Thank you Anyway if Unconfirmed then it is already fixed and when I install next version all will be Ok.
Comment 3 raal 2019-02-19 21:39:09 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: 465939feb0e9c382e5581b53b72008979ece4807
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

but not with X11.
Comment 4 Caolán McNamara 2019-02-26 09:30:39 UTC
I can't reproduce this at all. Maybe I'm doing it wrong
Comment 5 Vladimir Schuka 2019-02-26 09:42:30 UTC
Created attachment 149599 [details]
Reproduction of bug

Attached video of bug
Comment 6 Angelos Skembris 2019-05-07 11:35:06 UTC
I understand what Vladimir Schuka is saying and I have the same behaviour with Calc 6.2.3.2, although I have faced it in earlier versions as well. 

Steps to reproduce:

1) Select cell(s) for moving
2) Start moving the cells to another location (i.e. hover over another cell) but do not release the mouse button.
3) Instead of releasing the mouse button press ESC (to cancel the move)

Actual results: Move target border is still outlined as if hovered on during move.

Expected results: Cancelling the move should results in the hover target returning to its normal state. 

Version: 6.2.3.2
Build ID: 20(Build:2)
CPU threads: 6; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: en-GB (en_US.UTF-8); UI-Language: en-US
Calc: threaded

OS is OpenSUSE Tumbleweed, on X11 with Radeon graphics driver
Comment 7 QA Administrators 2021-05-07 03:59:15 UTC
Dear Vladimir Schuka,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug